org.apache.maven.scm.provider.svn.svnexe.command.checkin

## Class SvnCheckInConsumer

- java.lang.Object
- - org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer
  - - org.apache.maven.scm.provider.svn.svnexe.command.checkin.SvnCheckInConsumer

- All Implemented Interfaces:
    org.codehaus.plexus.util.cli.StreamConsumer

      public class SvnCheckInConsumer
      extends AbstractFileCheckingConsumer

  Version:
    $Id: SvnCheckInConsumer.java 691832 2008-09-03 23:54:44Z vsiveton $
  Author:
    Trygve Laugstøl

- - ### Field Summary

    - ### Fields inherited from class org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer

      `logger, revision, workingDirectory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnCheckInConsumer(ScmLogger logger, File workingDirectory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `List` | `getCheckedInFiles()`
    `protected void` | `parseLine(String line)`

    - ### Methods inherited from class org.apache.maven.scm.provider.svn.svnexe.command.AbstractFileCheckingConsumer

      `addFile, consumeLine, getFiles, getRevision, parseInt`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnCheckInConsumer

          public SvnCheckInConsumer(ScmLogger logger,
                            File workingDirectory)

  - ### Method Detail

    - #### parseLine

          protected void parseLine(String line)

      Specified by:
        `parseLine` in class `AbstractFileCheckingConsumer`

    - #### getCheckedInFiles

          public List getCheckedInFiles()

Copyright © 2003–2015. All rights reserved.